WinShopAPI docs
ReferenceItem lists

Companies / Sales representatives

GET
/api/item-lists/companies/sales-representatives

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/companies/sales-representatives' \  -H 'Authorization: Bearer <access-token>'
[  {    "email": "string",    "id": 0,    "isInactive": true,    "name": "string",    "number": "string",    "phone": "string"  }]
GET
/api/item-lists/companies/sales-representatives/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
email*string
Lengthlength <= 50
id?integer
Formatint32
isInactive?boolean
name*string
Lengthlength <= 80
number*string
Lengthlength <= 80
phone*string
Lengthlength <= 20
curl -X GET 'https://<your-instance>/api/item-lists/companies/sales-representatives/0' \  -H 'Authorization: Bearer <access-token>'
{  "email": "string",  "id": 0,  "isInactive": true,  "name": "string",  "number": "string",  "phone": "string"}